<?xml version="1.0" encoding="iso-8859-1"?>

<project default="executarAplicacao">

   <target name="compilarClasses">
      <mkdir dir="build/classes"/>
      <javac destdir="build/classes" srcdir="src" 
          debug="on"
          deprecation="on"
          includes="**/*.java"
          excludes="${global.exclude}">
         <classpath>
            <pathelement location="."/>
            <pathelement location="lib/servlet.jar"/>
         </classpath>
      </javac>
   </target>

   <target name="executarAplicacao" depends="compilarClasses">
      <java classname="jm14.ant.AloMundo" classpath="build/classes"/>
   </target>

   <target name="criarJar" depends="compilarClasses">
      <mkdir dir="build/dist"/>
      <jar jarfile="build/dist/exemplo1.jar" basedir="build/classes"/>
   </target>

   <target name="limparTudo">
      <delete dir="build"/>
   </target>

</project>
